For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
      • GETGet cost centers
      • POSTCreate a new cost center
      • GETGet a cost center by ID
      • DELDelete a cost center
      • PATCHUpdate a cost center
  • Utilities
LogoLogo
API StatusPartner Portal
Expense managementCost centers

Create a new cost center

POST
/cost_centers
POST
/v1/cost_centers
$curl -X POST https://api.sandbox.monite.com/v1/cost_centers \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "id",
3 "created_at": "2024-01-15T09:30:00Z",
4 "updated_at": "2024-01-15T09:30:00Z",
5 "description": "description",
6 "is_external": true,
7 "name": "name"
8}
Create a new cost center
Was this page helpful?
Previous

Get a cost center by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
descriptionstringOptional<=2048 characters
Description of the cost center
namestringOptional<=500 characters
Name of the cost center

Response

Successful Response
idstringformat: "uuid"
created_atdatetime
The timestamp when the cost center was created.
updated_atdatetime
The timestamp when the cost center was last updated.
descriptionstring
Description of the cost center
is_externalbooleanDefaults to false
Whether the cost center is from an external system
namestring

Errors

400
Post Cost Centers Request Bad Request Error
401
Post Cost Centers Request Unauthorized Error
403
Post Cost Centers Request Forbidden Error
422
Post Cost Centers Request Unprocessable Entity Error
500
Post Cost Centers Request Internal Server Error